<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\ECharts;

/**
 * Enum EmisnySystemChartEnum
 *
 * @package Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\ECharts
 */
enum EmisnySystemChartEnum: string
{
    case D_BKAT_NKAT = 'D_BKAT_NKAT';
    case D_NKAT_OBD = 'D_NKAT_OBD';
    case RKAT = 'RKAT';
    case RKAT_OBD = 'RKAT_OBD';
    case BKAT_NKAT = 'BKAT_NKAT';
    case NEDEFINOVANY = 'NEDEFINOVANY';

    /**
     * @return string
     */
    public function label(): string
    {
        return match ($this) {
            self::D_BKAT_NKAT => 'D/BKAT, D/NKAT',
            self::D_NKAT_OBD => 'D/NKAT OBD',
            self::RKAT => '*/RKAT',
            self::RKAT_OBD => '*/RKAT OBD',
            self::BKAT_NKAT => '*/BKAT, */NKAT',
            self::NEDEFINOVANY => '*/nedefinovaný'
        };
    }

    /**
     * @param \Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\ECharts\EmisnySystemChartEnum $other
     *
     * @return bool
     */
    public function equal(self $other): bool
    {
        return $this === $other;
    }
}
